#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1518\r"; sleep 2;
echo -e "write (0,1) -1646\r"; sleep 2;
echo -e "write (0,2) -1511\r"; sleep 2;
echo -e "write (0,3) -1452\r"; sleep 2;
echo -e "write (0,4) -1607\r"; sleep 2;
echo -e "write (0,5) -1635\r"; sleep 2;
echo -e "write (0,6) -1389\r"; sleep 2;
echo -e "write (0,9) -1511\r"; sleep 2;
echo -e "write (0,10) -1396\r"; sleep 2;
echo -e "write (0,11) -1547\r"; sleep 2;
echo -e "write (0,12) -1375\r"; sleep 2;
echo -e "write (0,13) -1600\r"; sleep 2;
echo -e "write (0,14) -1560\r"; sleep 2;
echo -e "write (1,0) -1602\r"; sleep 2;
echo -e "write (1,1) -1341\r"; sleep 2;
echo -e "write (1,2) -1384\r"; sleep 2;
echo -e "write (1,3) -1586\r"; sleep 2;
echo -e "write (1,4) -1337\r"; sleep 2;
echo -e "write (1,5) -1508\r"; sleep 2;
echo -e "write (1,6) -1394\r"; sleep 2;
echo -e "write (1,9) -1609\r"; sleep 2;
echo -e "write (1,10) -1632\r"; sleep 2;
echo -e "write (1,11) -1607\r"; sleep 2;
echo -e "write (1,12) -1656\r"; sleep 2;
echo -e "write (1,13) -1557\r"; sleep 2;
echo -e "write (1,14) -1526\r"; sleep 2;
echo -e "write (2,0) -1647\r"; sleep 2;
echo -e "write (2,1) -1624\r"; sleep 2;
echo -e "write (2,2) -1600\r"; sleep 2;
echo -e "write (2,3) -1699\r"; sleep 2;
echo -e "write (2,4) -1403\r"; sleep 2;
echo -e "write (2,5) -1600\r"; sleep 2;
echo -e "write (2,6) -1415\r"; sleep 2;
echo -e "write (2,9) -1318\r"; sleep 2;
echo -e "write (2,10) -1538\r"; sleep 2;
echo -e "write (2,11) -1388\r"; sleep 2;
echo -e "write (2,12) -1579\r"; sleep 2;
echo -e "write (2,13) -1622\r"; sleep 2;
echo -e "write (2,14) -1455\r"; sleep 2;
echo -e "write (3,0) -1530\r"; sleep 2;
echo -e "write (3,1) -1600\r"; sleep 2;
echo -e "write (3,2) -1595\r"; sleep 2;
echo -e "write (3,3) -1677\r"; sleep 2;
echo -e "write (3,4) -1647\r"; sleep 2;
echo -e "write (3,5) -1574\r"; sleep 2;
echo -e "write (3,6) -1549\r"; sleep 2;
echo -e "write (3,9) -1625\r"; sleep 2;
echo -e "write (3,10) -1584\r"; sleep 2;
echo -e "write (3,11) -1648\r"; sleep 2;
echo -e "write (3,12) -1582\r"; sleep 2;
echo -e "write (3,13) -1466\r"; sleep 2;
echo -e "write (3,14) -1668\r"; sleep 2;
echo -e "write (4,0) -1638\r"; sleep 2;
echo -e "write (4,1) -1603\r"; sleep 2;
echo -e "write (4,2) -1550\r"; sleep 2;
echo -e "write (4,3) -1600\r"; sleep 2;
echo -e "write (4,4) -1616\r"; sleep 2;
echo -e "write (4,5) -1593\r"; sleep 2;
echo -e "write (4,6) -1613\r"; sleep 2;
echo -e "write (4,9) -1587\r"; sleep 2;
echo -e "write (4,10) -1581\r"; sleep 2;
echo -e "write (4,11) -1630\r"; sleep 2;
echo -e "write (4,12) -1530\r"; sleep 2;
echo -e "write (4,13) -1550\r"; sleep 2;
echo -e "write (4,14) -1621\r"; sleep 2;
echo -e "write (5,0) -1619\r"; sleep 2;
echo -e "write (5,1) -1600\r"; sleep 2;
echo -e "write (5,2) -1686\r"; sleep 2;
echo -e "write (5,3) -1472\r"; sleep 2;
echo -e "write (5,4) -1633\r"; sleep 2;
echo -e "write (5,5) -1697\r"; sleep 2;
echo -e "write (5,6) -1313\r"; sleep 2;
echo -e "write (5,9) -1647\r"; sleep 2;
echo -e "write (5,10) -1600\r"; sleep 2;
echo -e "write (5,11) -1691\r"; sleep 2;
echo -e "write (5,12) -1308\r"; sleep 2;
echo -e "write (5,13) -1600\r"; sleep 2;
echo -e "write (5,14) -1652\r"; sleep 2;
echo -e "write (6,0) -1600\r"; sleep 2;
echo -e "write (6,1) -1419\r"; sleep 2;
echo -e "write (6,2) -1229\r"; sleep 2;
echo -e "write (6,3) -1600\r"; sleep 2;
echo -e "write (6,4) -1351\r"; sleep 2;
echo -e "write (6,5) -1409\r"; sleep 2;
echo -e "write (6,6) -1275\r"; sleep 2;
echo -e "write (6,9) -1617\r"; sleep 2;
echo -e "write (6,10) -1256\r"; sleep 2;
echo -e "write (6,11) -1558\r"; sleep 2;
echo -e "write (6,12) -1600\r"; sleep 2;
echo -e "write (6,13) -1523\r"; sleep 2;
echo -e "write (6,14) -1466\r"; sleep 2;
echo -e "write (8,0) -1521\r"; sleep 2;
echo -e "write (8,1) -1556\r"; sleep 2;
echo -e "write (8,2) -1346\r"; sleep 2;
echo -e "write (8,3) -1379\r"; sleep 2;
echo -e "write (8,4) -1470\r"; sleep 2;
echo -e "write (8,5) -1600\r"; sleep 2;
echo -e "write (8,6) -1541\r"; sleep 2;
echo -e "write (8,9) -1367\r"; sleep 2;
echo -e "write (8,10) -1548\r"; sleep 2;
echo -e "write (8,11) -1591\r"; sleep 2;
echo -e "write (8,12) -1550\r"; sleep 2;
echo -e "write (8,13) -1685\r"; sleep 2;
echo -e "write (8,14) -1493\r"; sleep 2;
echo -e "write (9,0) -1519\r"; sleep 2;
echo -e "write (9,1) -1597\r"; sleep 2;
echo -e "write (9,2) -1610\r"; sleep 2;
echo -e "write (9,3) -1610\r"; sleep 2;
echo -e "write (9,4) -1645\r"; sleep 2;
echo -e "write (9,5) -1492\r"; sleep 2;
echo -e "write (9,6) -1582\r"; sleep 2;
echo -e "write (9,9) -1636\r"; sleep 2;
echo -e "write (9,10) -1651\r"; sleep 2;
echo -e "write (9,11) -1662\r"; sleep 2;
echo -e "write (9,12) -1600\r"; sleep 2;
echo -e "write (9,13) -1525\r"; sleep 2;
echo -e "write (9,14) -1549\r"; sleep 2;
echo -e "write (10,0) -1600\r"; sleep 2;
echo -e "write (10,1) -1444\r"; sleep 2;
echo -e "write (10,2) -1545\r"; sleep 2;
echo -e "write (10,3) -1557\r"; sleep 2;
echo -e "write (10,4) -1613\r"; sleep 2;
echo -e "write (10,5) -1394\r"; sleep 2;
echo -e "write (10,6) -1489\r"; sleep 2;
echo -e "write (10,9) -1550\r"; sleep 2;
echo -e "write (10,10) -1620\r"; sleep 2;
echo -e "write (10,11) -1501\r"; sleep 2;
echo -e "write (10,12) -1504\r"; sleep 2;
echo -e "write (10,13) -1656\r"; sleep 2;
echo -e "write (10,14) -1626\r"; sleep 2;
echo -e "write (11,0) -1659\r"; sleep 2;
echo -e "write (11,1) -1600\r"; sleep 2;
echo -e "write (11,2) -1345\r"; sleep 2;
echo -e "write (11,3) -1650\r"; sleep 2;
echo -e "write (11,4) -1515\r"; sleep 2;
echo -e "write (11,5) -1628\r"; sleep 2;
echo -e "write (11,6) -1600\r"; sleep 2;
echo -e "write (11,9) -1600\r"; sleep 2;
echo -e "write (11,10) -1419\r"; sleep 2;
echo -e "write (11,11) -1418\r"; sleep 2;
echo -e "write (11,12) -1361\r"; sleep 2;
echo -e "write (11,13) -1257\r"; sleep 2;
echo -e "write (11,14) -1626\r"; sleep 2;
echo -e "write (12,0) -1687\r"; sleep 2;
echo -e "write (12,1) -1567\r"; sleep 2;
echo -e "write (12,2) -1469\r"; sleep 2;
echo -e "write (12,3) -1527\r"; sleep 2;
echo -e "write (12,5) -1600\r"; sleep 2;
echo -e "write (12,6) -1417\r"; sleep 2;
echo -e "write (12,7) -1494\r"; sleep 2;
echo -e "write (12,9) -1600\r"; sleep 2;
echo -e "write (12,10) -1600\r"; sleep 2;
echo -e "write (12,11) -1560\r"; sleep 2;
echo -e "write (12,12) -1506\r"; sleep 2;
echo -e "write (12,13) -1644\r"; sleep 2;
echo -e "write (12,14) -1698\r"; sleep 2;
echo -e "write (13,0) -1600\r"; sleep 2;
echo -e "write (13,1) -1600\r"; sleep 2;
echo -e "write (13,2) -1560\r"; sleep 2;
echo -e "write (13,3) -1338\r"; sleep 2;
echo -e "write (13,4) -1572\r"; sleep 2;
echo -e "write (13,5) -1472\r"; sleep 2;
echo -e "write (13,6) -1600\r"; sleep 2;
echo -e "write (13,9) -1649\r"; sleep 2;
echo -e "write (13,10) -1612\r"; sleep 2;
echo -e "write (13,11) -1475\r"; sleep 2;
echo -e "write (13,12) -1521\r"; sleep 2;
echo -e "write (13,13) -1268\r"; sleep 2;
echo -e "write (13,14) -1600\r"; sleep 2;
echo -e "write (14,0) -1600\r"; sleep 2;
echo -e "write (14,1) -1600\r"; sleep 2;
echo -e "write (14,2) -1600\r"; sleep 2;
echo -e "write (14,3) -1600\r"; sleep 2;
echo -e "write (14,4) -1600\r"; sleep 2;
echo -e "write (14,5) -1600\r"; sleep 2;
echo -e "write (14,6) -1600\r"; sleep 2;
echo -e "write (14,9) -1600\r"; sleep 2;
echo -e "write (14,10) -1600\r"; sleep 2;
echo -e "write (14,11) -1635\r"; sleep 2;
echo -e "write (14,12) -1449\r"; sleep 2;
echo -e "write (14,13) -1553\r"; sleep 2;
echo -e "write (14,14) -1600\r"; sleep 2;
echo -e "write (15,0) -1548\r"; sleep 2;
echo -e "write (15,1) -1600\r"; sleep 2;
echo -e "write (15,2) -1445\r"; sleep 2;
echo -e "write (15,3) -1619\r"; sleep 2;
echo -e "write (15,4) -1467\r"; sleep 2;
echo -e "write (15,5) -1498\r"; sleep 2;
echo -e "write (15,6) -1487\r"; sleep 2;
echo -e "write (15,7) -1621\r"; sleep 2;
echo -e "write (15,8) -1499\r"; sleep 2;
echo -e "write (15,9) -1460\r"; sleep 2;
echo -e "write (15,10) -1373\r"; sleep 2;
echo -e "write (15,11) -1490\r"; sleep 2;
echo -e "write (15,12) -1439\r"; sleep 2;
echo -e "write (15,13) -1650\r"; sleep 2;
echo -e "write (15,14) -1352\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7005 > ../log/fms_hvon_7005_$t.tex
echo Set new HV
cat ../log/fms_hvon_7005_$t.tex
